models/Articulos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "articulos".
 *
 * @property int $id
 * @property string|null $titulo
 * @property string|null $texto_corto
 * @property string|null $texto_largo
 * @property string|null $foto
 */
class Articulos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'articulos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['titulo'], 'string', 'max' => 50],
            [['texto_corto'], 'string', 'max' => 90],
            [['texto_largo'], 'string', 'max' => 255],
            [['foto'], 'string', 'max' => 100],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo',
            'texto_corto' => 'Texto Corto',
            'texto_largo' => 'Texto Largo',
            'foto' => 'Foto',
        ];
    }
}

controllers/ArticulosController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Articulos;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * ArticulosController implements the CRUD actions for Articulos model.
 */
class ArticulosController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Articulos models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Articulos::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Articulos model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Articulos model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Articulos();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Articulos model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Articulos model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Articulos model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Articulos the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Articulos::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    
     public function actionUno($id)
    {
        $model= Articulos::findOne($id);

        return $this->render('articulo', [
            'modelo' => $model,
        ]);
        
    }
    
}

views/articulos/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Articulos */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="articulos-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'titulo')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'texto_corto')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'texto_largo')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'foto')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/articulos/_index.php
<?php
    use yii\helpers\Html;
?>

  <div  class="col-sm-5 col-md-5">
    <div class="thumbnail">
        <div class="caption altura1"> <center> <?= \yii\helpers\Html::img("@web/image/" . $model->foto,[
            'alt'=>"alternativo",
            ]) ?> </center>
          
        <h3><?= $model->titulo ?></h3>
        <p><?= $model->texto_corto ?></p>
        <p><?= Html::a("Leer mas",["articulos/uno" ,
            "id"=>$model->id])?></p>
      </div>
    </div>
  </div>

views/articulos/articulo.php
<?php

use yii\widgets\DetailView;


echo DetailView::widget([
    'model' => $modelo,
    /*'labels'=> ['texto_largo' -> 'noticia'], */
    'attributes' => [
        'titulo',
        'texto_largo',
    ],
]);

views/articulos/articulo1.php
<?php
    use yii\helpers\Html;
?>

  <div  class="col-sm-5 col-md-5">
    <div class="thumbnail">
        <h3><?= $model->titulo ?></h3>
        <p><?= $model->texto_largo ?></p>
        <div class="caption altura1"> <center> <?= \yii\helpers\Html::img("@web/image/" . $model->foto,[
            'alt'=>"alternativo",
            ]) ?> </center>
      </div>
    </div>
  </div>

views/articulos/articulo2.php
<?php
    use yii\helpers\Html;
?>

  <div  class="col-sm-5 col-md-5">
    <div class="thumbnail">
        <h3><?= $model->titulo ?></h3>
        <p><?= $model->texto_largo ?></p>
        <div class="caption altura1"> <center> <?= \yii\helpers\Html::img("@web/image/" . $model->foto,[
            'alt'=>"alternativo",
            ]) ?> </center>
      </div>
    </div>
  </div>

views/articulos/create.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Articulos */

$this->title = 'Create Articulos';
$this->params['breadcrumbs'][] = ['label' => 'Articulos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="articulos-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/articulos/index.php
<?php
use yii\widgets\ListView;

/* @var $this yii\web\View */
$this->title = 'Practica 2';
?>
<div  class="row">

    <?= ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView' => '_index',
    
]);
?>
</div>

views/articulos/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Articulos */

$this->title = 'Update Articulos: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Articulos', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="articulos-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/articulos/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Articulos */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Articulos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="articulos-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'titulo',
            'texto_corto',
            'texto_largo',
            'foto',
        ],
    ]) ?>

</div>